OAuth MetadataGet OAuth protected resource metadata

Get OAuth protected resource metadata

Returns OAuth protected resource metadata as defined by RFC 9728.

curl -X GET "https://api.example.com/mcp-server/.well-known/oauth-protected-resource" \
  -H "Content-Type: application/json"
{
  "resource": "https://api.example.com/mcp-server",
  "authorization_servers": [
    "https://api.example.com/mcp-server"
  ],
  "bearer_methods_supported": [
    "header"
  ]
}
GET
/.well-known/oauth-protected-resource
GET
Base URLstring

Target server for requests. Edit to use your own host.

Request Preview
Response

Response will appear here after sending the request

Responses

resourcestring
Required

Identifier for the protected resource.

authorization_serversstring[]
Required

Authorization servers that can issue tokens for this resource.

bearer_methods_supportedstring[]
Required

Supported bearer token transmission methods.

Allowed values:header